LIBEVDEV-TWEAK-DEVICE(1)

NAME
libevdev-tweak-device - modify an evdev kernel device

SYNOPSIS
libevdev-tweak-device --abs ABS_X [--min a] [--max b] [--res c] [--fuzz d] [--flat e] /dev/input/eventX libevdev-tweak-device --resolution res[,yres] /dev/input/eventX

libevdev-tweak-device --led LED_NUML --on|--off /dev/input/eventX

DESCRIPTION

The libevdev-tweak-device tool changes the properties of the evdev kernel device at /dev/input/eventX. Currently this may be used to force an LED on or off, or to change the properties of an absolute axis (e.g. its minimum/maximum range or resolution). Changes are permanent until the device is removed.

OPTIONS

  Changing absolute axes

--abs axis
    Change the given named ABS_ kernel axis, e.g. ABS_X. For a full list, see linux/input.h. Each of the options min, max, res, fuzz, flat may be given.

--min v
    Set the absinfo minimum to the value v

--max v
    Set the absinfo maximum to the value v

--res v
    Set the absinfo resolution to the value v

--fuzz v
    Set the absinfo fuzz to the value v

--flat v
    Set the absinfo flat to the value v

  Changing the x/y resolution

--resolution res[,yres]
    Changes the resolution of the ABS_X, ABS_MT_POSITION_X, ABS_Y, and ABS_MT_POSITION_Y axis to the given resolution. If only one resolution value is provided, both x and y axis are set to the same resolution, otherwise the first resolution value is applied to the x axes and the second value to the y axes.

  Toggling LEDs

--led led
    Change the given LED, e.g. LED_NUML. For a full list, see linux/input.h.

--on
    Change the LED state to on

--off
    Change the LED state to off

NOTES

The kernel does not notify processes about absinfo property changes. Any process that has previously obtained the absinfo from the device will remain on the old information. This makes using this tool potentially racy, use with caution.